/*
 * ComptableInventaireInspecteurNibnb.java
 *
 * Created on 31 octobre 2008, 10:17
 */

package org.cocktail.corossol.client.nib;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Vector;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOExercice;
import org.cocktail.application.palette.JPanelCocktail;
import org.cocktail.corossol.client.eof.metier.EOInventaireComptableOrig;
import org.cocktail.corossol.client.eof.metier.EOOrigineFinancement;
import org.cocktail.corossol.client.eof.metier.EOTitre;
import org.cocktail.corossol.client.zutil.wo.table.TableSorter;
import org.cocktail.corossol.client.zutil.wo.table.ZEOTable;
import org.cocktail.corossol.client.zutil.wo.table.ZEOTableModel;
import org.cocktail.corossol.client.zutil.wo.table.ZEOTableModelColumn;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;
import javax.swing.JFormattedTextField;

public class ComptableInventaireInspecteurNib extends JPanelCocktail {
    
	private EODisplayGroup eod;
	private ZEOTable myEOTable;
	private final Color tableBackgroundColor=new Color(230, 230, 230);
	private final Color tableSelectionBackgroundColor=new Color(127,127,127);

    /** Creates new form ComptableInventaireInspecteurNibnb */
    public ComptableInventaireInspecteurNib() {
        initComponents();
    }

	public void initTableView() {
		Vector myCols = new Vector();
		eod = new EODisplayGroup();

		ZEOTableModelColumn colOrigine = new ZEOTableModelColumn(eod, EOInventaireComptableOrig.ORIGINE_FINANCEMENT_KEY + "."
				+ EOOrigineFinancement.ORGF_LIBELLE_KEY, "Origine financement", 150);
		colOrigine.setAlignment(SwingConstants.LEFT);
		myCols.add(colOrigine);

		ZEOTableModelColumn colMontant = new ZEOTableModelColumn(eod, EOInventaireComptableOrig.ICOR_MONTANT_KEY, "Montant", 50);
		colMontant.setAlignment(SwingConstants.RIGHT);
		myCols.add(colMontant);

		ZEOTableModelColumn colPourcentage = new ZEOTableModelColumn(eod, EOInventaireComptableOrig.ICOR_POURCENTAGE_KEY, "%", 50);
		colPourcentage.setAlignment(SwingConstants.RIGHT);
		myCols.add(colPourcentage);

		ZEOTableModelColumn colTitre = new ZEOTableModelColumn(eod, EOInventaireComptableOrig.TITRE_KEY + "." + EOTitre.TIT_NUMERO_KEY, "Titre", 50);
		colTitre.setAlignment(SwingConstants.LEFT);
		myCols.add(colTitre);

		ZEOTableModelColumn colTitreExer = new ZEOTableModelColumn(eod, EOInventaireComptableOrig.TITRE_KEY + "." + EOTitre.EXERCICE_KEY + "."
				+ EOExercice.EXE_EXERCICE_KEY, "Tit.Exer", 50);
		colTitreExer.setAlignment(SwingConstants.LEFT);
		myCols.add(colTitreExer);

		TableSorter myTableSorter = new TableSorter(new ZEOTableModel(eod, myCols));
		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());

		myEOTable.setBackground(tableBackgroundColor);
		myEOTable.setSelectionBackground(tableSelectionBackgroundColor);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

		getJPanelTbvOrigines().setLayout(new BorderLayout());
		getJPanelTbvOrigines().add(new JScrollPane(myEOTable), BorderLayout.CENTER);
	}

	public ZEOTable getMaTable() {
		return myEOTable;
	}
	public NSArray origines() {
		try {
			return eod.allObjects();
		} catch (Exception e) {
			return new NSArray();
		}
	}
	public EOInventaireComptableOrig inventaireComptableOrigSelectionne() {
		try {
			return (EOInventaireComptableOrig) myEOTable.getSelectedObject();
		} catch (Exception e) {
			return null;
		}
	}

	public void setOrigines(NSArray data) {
		if (eod == null) {
			return;
		}
		
		eod.setObjectArray(data);
		eod.updateDisplayedObjects();
		refresh();
	}

	public void refresh() {
		if (myEOTable == null) {
			return;
		}
		
		myEOTable.updateData();		
	}

    public JPanel getJPanelTbvOrigines() {
		return jPanelTbvOrigines;
	}

	public void setJPanelTbvOrigines(JPanel tbv) {
		this.jPanelTbvOrigines = tbv;
	}

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jFormattedTextFieldTotalPourcentage = new javax.swing.JFormattedTextField();
        jFormattedTextFieldTotalMontants = new javax.swing.JFormattedTextField();
        jLabelCocktail1 = new javax.swing.JLabel();
        jLabelCocktail2 = new javax.swing.JLabel();
        jLabelCocktail3 = new javax.swing.JLabel();
        jLabelCocktail4 = new javax.swing.JLabel();
        jLabelCocktail5 = new javax.swing.JLabel();
        jLabelCocktail6 = new javax.swing.JLabel();
        jLabelCocktail7 = new javax.swing.JLabel();
        jLabelCocktail8 = new javax.swing.JLabel();
        jLabelCocktail9 = new javax.swing.JLabel();
        jLabelCocktail11 = new javax.swing.JLabel();
        jCheckBoxProrata = new javax.swing.JCheckBox();
        jComboBoxTypeAmort = new javax.swing.JComboBox();
        jButtonCocktailAnnuler = new javax.swing.JButton();
        jButtonCocktailValider = new javax.swing.JButton();
        jTextFieldCocktailNbEtiquettes = new javax.swing.JTextField();
        jTextFieldCocktailDuree = new javax.swing.JTextField();
        jTextFieldCocktailCompteAmort = new javax.swing.JTextField();
        jTextFieldCocktailCompte = new javax.swing.JTextField();
        jTextFieldCocktailCr = new javax.swing.JTextField();
        jTextFieldCocktailUfr = new javax.swing.JTextField();
        jTextFieldCocktailNumero = new javax.swing.JTextField();
        jButtonCocktailNumRechercher = new javax.swing.JButton();
        jButtonCocktailCompteAmort = new javax.swing.JButton();
        jLabelCocktail10 = new javax.swing.JLabel();
        jFormattedTextFieldDate = new javax.swing.JFormattedTextField();
        jPanelTbvOrigines = new javax.swing.JPanel();
        jButtonAjouterOrigine = new javax.swing.JButton();
        jButtonSupprimerOrigine = new javax.swing.JButton();
        jLabelMontantAmortissable = new javax.swing.JLabel();
        jFormattedTextFieldMontantAmortissable = new javax.swing.JFormattedTextField();
        jButtonModifierOrigine = new javax.swing.JButton();
        jLabelMontantAcquisition = new javax.swing.JLabel();
        jFormattedTextFieldMontantAcquisition = new javax.swing.JFormattedTextField();
        jLabelTotalMontants = new javax.swing.JLabel();
        jLabelTotalPourcentages = new javax.swing.JLabel();
        jLabelTotalPourcentagesValue = new javax.swing.JLabel();
        jLabelTotalMontantsValue = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();

        jFormattedTextFieldTotalPourcentage.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#0.00 %"))));
        jFormattedTextFieldTotalPourcentage.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jFormattedTextFieldTotalPourcentage.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N
        jFormattedTextFieldTotalPourcentage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jFormattedTextFieldTotalPourcentageActionPerformed(evt);
            }
        });

        jFormattedTextFieldTotalMontants.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#,##0.00"))));
        jFormattedTextFieldTotalMontants.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jFormattedTextFieldTotalMontants.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N

        setMinimumSize(new java.awt.Dimension(650, 630));
        setPreferredSize(new java.awt.Dimension(650, 630));
        setSize(new java.awt.Dimension(650, 630));

        jLabelCocktail1.setText("Numéro : ");

        jLabelCocktail2.setText("UB : ");

        jLabelCocktail3.setText("CR : ");

        jLabelCocktail4.setText("Compte : ");

        jLabelCocktail5.setText("Compte d'amortissement : ");

        jLabelCocktail6.setText("Durée d'amortissement : ");

        jLabelCocktail7.setText("Financements :");

        jLabelCocktail8.setText("Nombre étiquettes : ");

        jLabelCocktail9.setText("Prorata temporis : ");

        jLabelCocktail11.setText("Type d'amortissement : ");

        jCheckBoxProrata.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jCheckBoxProrataActionPerformed(evt);
            }
        });

        jComboBoxTypeAmort.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Lineaire", "Degressif" }));
        jComboBoxTypeAmort.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxTypeAmortActionPerformed(evt);
            }
        });

        jButtonCocktailAnnuler.setText("Annuler");
        jButtonCocktailAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailAnnulerActionPerformed(evt);
            }
        });

        jButtonCocktailValider.setText("Valider");

        jButtonCocktailNumRechercher.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailNumRechercherActionPerformed(evt);
            }
        });

        jButtonCocktailCompteAmort.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailCompteAmortActionPerformed(evt);
            }
        });

        jLabelCocktail10.setText("Date début amortissement :");

        jFormattedTextFieldDate.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.DateFormatter(new java.text.SimpleDateFormat("dd/MM/yyyy"))));

        jPanelTbvOrigines.setPreferredSize(new java.awt.Dimension(474, 139));

        org.jdesktop.layout.GroupLayout jPanelTbvOriginesLayout = new org.jdesktop.layout.GroupLayout(jPanelTbvOrigines);
        jPanelTbvOrigines.setLayout(jPanelTbvOriginesLayout);
        jPanelTbvOriginesLayout.setHorizontalGroup(
            jPanelTbvOriginesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 0, Short.MAX_VALUE)
        );
        jPanelTbvOriginesLayout.setVerticalGroup(
            jPanelTbvOriginesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 139, Short.MAX_VALUE)
        );

        jButtonAjouterOrigine.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAjouterOrigineActionPerformed(evt);
            }
        });

        jButtonSupprimerOrigine.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSupprimerOrigineActionPerformed(evt);
            }
        });

        jLabelMontantAmortissable.setText("Montant amortissable :");

        jFormattedTextFieldMontantAmortissable.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#,##0.00"))));
        jFormattedTextFieldMontantAmortissable.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jFormattedTextFieldMontantAmortissableActionPerformed(evt);
            }
        });

        jButtonModifierOrigine.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonModifierOrigineActionPerformed(evt);
            }
        });

        jLabelMontantAcquisition.setText("Montant acquisition :");

        jFormattedTextFieldMontantAcquisition.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.NumberFormatter(new java.text.DecimalFormat("#,##0.00"))));
        jFormattedTextFieldMontantAcquisition.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jFormattedTextFieldMontantAcquisitionActionPerformed(evt);
            }
        });

        jLabelTotalMontants.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N
        jLabelTotalMontants.setText("Total montants :");

        jLabelTotalPourcentages.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N
        jLabelTotalPourcentages.setText("Total pourcentages :");

        jLabelTotalPourcentagesValue.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N
        jLabelTotalPourcentagesValue.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelTotalPourcentagesValue.setText("0.00");
        jLabelTotalPourcentagesValue.setBorder(jFormattedTextFieldTotalPourcentage.getBorder());
        jLabelTotalPourcentagesValue.setOpaque(true);

        jLabelTotalMontantsValue.setFont(new java.awt.Font("Lucida Grande", 0, 10)); // NOI18N
        jLabelTotalMontantsValue.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabelTotalMontantsValue.setText("0.00");
        jLabelTotalMontantsValue.setBorder(jFormattedTextFieldTotalPourcentage.getBorder());
        jLabelTotalMontantsValue.setOpaque(true);

        jLabel1.setText("an(s)");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(27, 27, 27)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabelTotalMontants)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelTotalMontantsValue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jLabelTotalPourcentages)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelTotalPourcentagesValue, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanelTbvOrigines, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 570, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jButtonAjouterOrigine, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jButtonSupprimerOrigine, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jButtonModifierOrigine, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabelCocktail11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 170, Short.MAX_VALUE)
                                    .add(jLabelCocktail8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(jTextFieldCocktailNbEtiquettes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(0, 0, Short.MAX_VALUE))
                                    .add(layout.createSequentialGroup()
                                        .add(jComboBoxTypeAmort, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 189, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 88, Short.MAX_VALUE)
                                        .add(jLabelCocktail9)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jCheckBoxProrata))))
                            .add(layout.createSequentialGroup()
                                .add(jButtonCocktailAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 134, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jButtonCocktailValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 136, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jLabelCocktail7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 158, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabelCocktail6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelCocktail1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelCocktail2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelCocktail3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelCocktail4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelCocktail5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jLabelMontantAcquisition, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jTextFieldCocktailUfr)
                                    .add(jTextFieldCocktailCr)
                                    .add(jTextFieldCocktailCompte)
                                    .add(jTextFieldCocktailCompteAmort)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextFieldCocktailNumero)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(layout.createSequentialGroup()
                                                .add(jTextFieldCocktailDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(jLabel1)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .add(jLabelCocktail10))
                                            .add(layout.createSequentialGroup()
                                                .add(jFormattedTextFieldMontantAcquisition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 120, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                                .add(jLabelMontantAmortissable)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(jFormattedTextFieldMontantAmortissable)
                                            .add(jFormattedTextFieldDate, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE))))))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jButtonCocktailCompteAmort, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jButtonCocktailNumRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 29, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail1)
                        .add(jTextFieldCocktailNumero))
                    .add(jButtonCocktailNumRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail2)
                    .add(jTextFieldCocktailUfr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail3)
                    .add(jTextFieldCocktailCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButtonCocktailCompteAmort)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabelCocktail4)
                        .add(jTextFieldCocktailCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail5)
                    .add(jTextFieldCocktailCompteAmort, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabelCocktail6)
                    .add(jTextFieldCocktailDuree, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(jLabelCocktail10)
                    .add(jFormattedTextFieldDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jFormattedTextFieldMontantAmortissable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabelMontantAmortissable)
                    .add(jLabelMontantAcquisition)
                    .add(jFormattedTextFieldMontantAcquisition, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabelCocktail7)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jButtonAjouterOrigine)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonModifierOrigine)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButtonSupprimerOrigine))
                    .add(layout.createSequentialGroup()
                        .add(jPanelTbvOrigines, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(3, 3, 3)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabelTotalMontants)
                            .add(jLabelTotalPourcentages)
                            .add(jLabelTotalPourcentagesValue)
                            .add(jLabelTotalMontantsValue))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabelCocktail8)
                            .add(jTextFieldCocktailNbEtiquettes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jCheckBoxProrata)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jLabelCocktail11)
                                .add(jComboBoxTypeAmort, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabelCocktail9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButtonCocktailValider)
                    .add(jButtonCocktailAnnuler))
                .addContainerGap(70, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailAnnulerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailAnnulerActionPerformed

    private void jButtonCocktailNumRechercherActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailNumRechercherActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailNumRechercherActionPerformed

    private void jButtonCocktailCompteAmortActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailCompteAmortActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailCompteAmortActionPerformed

    private void jComboBoxTypeAmortActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxTypeAmortActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jComboBoxTypeAmortActionPerformed

    private void jButtonAjouterOrigineActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAjouterOrigineActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonAjouterOrigineActionPerformed

    private void jButtonSupprimerOrigineActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSupprimerOrigineActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonSupprimerOrigineActionPerformed

    private void jCheckBoxProrataActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jCheckBoxProrataActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jCheckBoxProrataActionPerformed

    private void jFormattedTextFieldMontantAmortissableActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jFormattedTextFieldMontantAmortissableActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jFormattedTextFieldMontantAmortissableActionPerformed

    private void jButtonModifierOrigineActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonModifierOrigineActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonModifierOrigineActionPerformed

    private void jFormattedTextFieldMontantAcquisitionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jFormattedTextFieldMontantAcquisitionActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jFormattedTextFieldMontantAcquisitionActionPerformed

    private void jFormattedTextFieldTotalPourcentageActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jFormattedTextFieldTotalPourcentageActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jFormattedTextFieldTotalPourcentageActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonAjouterOrigine;
    public javax.swing.JButton jButtonCocktailAnnuler;
    public javax.swing.JButton jButtonCocktailCompteAmort;
    public javax.swing.JButton jButtonCocktailNumRechercher;
    public javax.swing.JButton jButtonCocktailValider;
    public javax.swing.JButton jButtonModifierOrigine;
    public javax.swing.JButton jButtonSupprimerOrigine;
    public javax.swing.JCheckBox jCheckBoxProrata;
    public javax.swing.JComboBox jComboBoxTypeAmort;
    public javax.swing.JFormattedTextField jFormattedTextFieldDate;
    public javax.swing.JFormattedTextField jFormattedTextFieldMontantAcquisition;
    public javax.swing.JFormattedTextField jFormattedTextFieldMontantAmortissable;
    public javax.swing.JFormattedTextField jFormattedTextFieldTotalMontants;
    public javax.swing.JFormattedTextField jFormattedTextFieldTotalPourcentage;
    public javax.swing.JLabel jLabel1;
    public javax.swing.JLabel jLabelCocktail1;
    public javax.swing.JLabel jLabelCocktail10;
    public javax.swing.JLabel jLabelCocktail11;
    public javax.swing.JLabel jLabelCocktail2;
    public javax.swing.JLabel jLabelCocktail3;
    public javax.swing.JLabel jLabelCocktail4;
    public javax.swing.JLabel jLabelCocktail5;
    public javax.swing.JLabel jLabelCocktail6;
    public javax.swing.JLabel jLabelCocktail7;
    public javax.swing.JLabel jLabelCocktail8;
    public javax.swing.JLabel jLabelCocktail9;
    public javax.swing.JLabel jLabelMontantAcquisition;
    public javax.swing.JLabel jLabelMontantAmortissable;
    public javax.swing.JLabel jLabelTotalMontants;
    public javax.swing.JLabel jLabelTotalMontantsValue;
    public javax.swing.JLabel jLabelTotalPourcentages;
    public javax.swing.JLabel jLabelTotalPourcentagesValue;
    public javax.swing.JPanel jPanelTbvOrigines;
    public javax.swing.JTextField jTextFieldCocktailCompte;
    public javax.swing.JTextField jTextFieldCocktailCompteAmort;
    public javax.swing.JTextField jTextFieldCocktailCr;
    public javax.swing.JTextField jTextFieldCocktailDuree;
    public javax.swing.JTextField jTextFieldCocktailNbEtiquettes;
    public javax.swing.JTextField jTextFieldCocktailNumero;
    public javax.swing.JTextField jTextFieldCocktailUfr;
    // End of variables declaration//GEN-END:variables

    public void setjFormattedTextFieldDate(JFormattedTextField jFormattedTextFieldDate) {
        this.jFormattedTextFieldDate = jFormattedTextFieldDate;
    }

    public void setjFormattedTextFieldMontantAmortissable(JFormattedTextField jFormattedTextFieldMontantAmortissable) {
        this.jFormattedTextFieldMontantAmortissable = jFormattedTextFieldMontantAmortissable;
    }
    
    public javax.swing.JFormattedTextField getjFormattedTextFieldMontantAcquisition() {
		return jFormattedTextFieldMontantAcquisition;
	}

    public void setjFormattedTextFieldMontantAcquisition(javax.swing.JFormattedTextField jFormattedTextFieldMontantAcquisition) {
		this.jFormattedTextFieldMontantAcquisition = jFormattedTextFieldMontantAcquisition;
	}

    public JFormattedTextField getjFormattedTextFieldDate() {
        return jFormattedTextFieldDate;
    }

    public JFormattedTextField getjFormattedTextFieldMontantAmortissable() {
        return jFormattedTextFieldMontantAmortissable;
    }
	public javax.swing.JButton getJButtonCocktailAnnuler() {
		return jButtonCocktailAnnuler;
	}

	public void setJButtonCocktailAnnuler(javax.swing.JButton buttonCocktailAnnuler) {
		jButtonCocktailAnnuler = buttonCocktailAnnuler;
	}

    public javax.swing.JButton getjButtonAjouterOrigine() {
		return jButtonAjouterOrigine;
	}

	public void setjButtonAjouterOrigine(javax.swing.JButton jButtonAjouterOrigine) {
		this.jButtonAjouterOrigine = jButtonAjouterOrigine;
	}

    public javax.swing.JButton getjButtonSupprimerOrigine() {
		return jButtonSupprimerOrigine;
	}

	public void setjButtonSupprimerOrigine(
			javax.swing.JButton jButtonSupprimerOrigine) {
		this.jButtonSupprimerOrigine = jButtonSupprimerOrigine;
	}

	public javax.swing.JButton getJButtonCocktailCompteAmort() {
		return jButtonCocktailCompteAmort;
	}

	public void setJButtonCocktailCompteAmort(javax.swing.JButton buttonCocktailCompteAmort) {
		jButtonCocktailCompteAmort = buttonCocktailCompteAmort;
	}

	public javax.swing.JButton getJButtonCocktailNumRechercher() {
		return jButtonCocktailNumRechercher;
	}

	public void setJButtonCocktailNumRechercher(javax.swing.JButton buttonCocktailNumRechercher) {
		jButtonCocktailNumRechercher = buttonCocktailNumRechercher;
	}

	public javax.swing.JButton getJButtonCocktailValider() {
		return jButtonCocktailValider;
	}

	public void setJButtonCocktailValider(javax.swing.JButton buttonCocktailValider) {
		jButtonCocktailValider = buttonCocktailValider;
	}

	public javax.swing.JCheckBox getJCheckBoxProrata() {
		return jCheckBoxProrata;
	}

	public void setJCheckBoxProrata(javax.swing.JCheckBox checkBoxProrata) {
		jCheckBoxProrata = checkBoxProrata;
	}

	public javax.swing.JComboBox getJComboBoxTypeAmort() {
		return jComboBoxTypeAmort;
	}

	public void setJComboBoxTypeAmort(javax.swing.JComboBox comboBoxTypeAmort) {
		jComboBoxTypeAmort = comboBoxTypeAmort;
	}

	public javax.swing.JTextField getJTextFieldCocktailCompte() {
		return jTextFieldCocktailCompte;
	}

	public void setJTextFieldCocktailCompte(javax.swing.JTextField textFieldCocktailCompte) {
		jTextFieldCocktailCompte = textFieldCocktailCompte;
	}

	public javax.swing.JTextField getJTextFieldCocktailCompteAmort() {
		return jTextFieldCocktailCompteAmort;
	}

	public void setJTextFieldCocktailCompteAmort(javax.swing.JTextField textFieldCocktailCompteAmort) {
		jTextFieldCocktailCompteAmort = textFieldCocktailCompteAmort;
	}

	public javax.swing.JTextField getJTextFieldCocktailCr() {
		return jTextFieldCocktailCr;
	}

	public void setJTextFieldCocktailCr(javax.swing.JTextField textFieldCocktailCr) {
		jTextFieldCocktailCr = textFieldCocktailCr;
	}

	public javax.swing.JTextField getJTextFieldCocktailDuree() {
		return jTextFieldCocktailDuree;
	}

	public void setJTextFieldCocktailDuree(javax.swing.JTextField textFieldCocktailDuree) {
		jTextFieldCocktailDuree = textFieldCocktailDuree;
	}

	public javax.swing.JTextField getJTextFieldCocktailNbEtiquettes() {
		return jTextFieldCocktailNbEtiquettes;
	}

	public void setJTextFieldCocktailNbEtiquettes(javax.swing.JTextField textFieldCocktailNbEtiquettes) {
		jTextFieldCocktailNbEtiquettes = textFieldCocktailNbEtiquettes;
	}

	public javax.swing.JTextField getJTextFieldCocktailNumero() {
		return jTextFieldCocktailNumero;
	}

	public void setJTextFieldCocktailNumero(javax.swing.JTextField textFieldCocktailNumero) {
		jTextFieldCocktailNumero = textFieldCocktailNumero;
	}

	public javax.swing.JTextField getJTextFieldCocktailUfr() {
		return jTextFieldCocktailUfr;
	}

	public void setJTextFieldCocktailUfr(javax.swing.JTextField textFieldCocktailUfr) {
		jTextFieldCocktailUfr = textFieldCocktailUfr;
	}

    public javax.swing.JButton getjButtonModifierOrigine() {
        return jButtonModifierOrigine;
    }

    public void setjButtonModifierOrigine(javax.swing.JButton jButtonModifierOrigine) {
        this.jButtonModifierOrigine = jButtonModifierOrigine;
    }

	public javax.swing.JFormattedTextField getjFormattedTextFieldTotalMontants() {
		return jFormattedTextFieldTotalMontants;
	}

	public void setjFormattedTextFieldTotalMontants(javax.swing.JFormattedTextField jTextFieldTotalMontants) {
		this.jFormattedTextFieldTotalMontants = jTextFieldTotalMontants;
	}

	public javax.swing.JFormattedTextField getjFormattedTextFieldTotalPourcentage() {
		return jFormattedTextFieldTotalPourcentage;
	}

	public void setjFormattedTextFieldTotalPourcentage(javax.swing.JFormattedTextField jFormattedTextFieldTotalPourcentage) {
		this.jFormattedTextFieldTotalPourcentage = jFormattedTextFieldTotalPourcentage;
	}

	public javax.swing.JLabel getjLabelTotalPourcentagesValue() {
		return jLabelTotalPourcentagesValue;
	}

	public void setjLabelTotalPourcentagesValue(javax.swing.JLabel jLabelTotalPourcentagesValue) {
		this.jLabelTotalPourcentagesValue = jLabelTotalPourcentagesValue;
	}

	public javax.swing.JLabel getjLabelTotalMontantsValue() {
		return jLabelTotalMontantsValue;
	}

	public void setjLabelTotalMontantsValue(javax.swing.JLabel jLabelTotalMontantsValue) {
		this.jLabelTotalMontantsValue = jLabelTotalMontantsValue;
	}
    
}
